Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialVisionRequest Class Reference

Represents a request for special visons (challenges ...). More...

`#include <SpecialVisionRequest.h>`

List of all members.

## Public Types
enum | SpecialVisionRequests { none, barCode, autoShutter, challengeLearnOrientation, challengeFindOrientation, challengeGetOrientation, numOfSpecialVisionRequests, imageBrightness }
## Public Member Functions
| SpecialVisionRequest ()
| constructor
| ~SpecialVisionRequest ()
| destructor
## Static Public Member Functions
char * | getSpecialVisionRequestName (SpecialVisionRequests specialVisionRequest)
| Returns the name of a SpecialVisionRequest.
## Public Attributes
SpecialVisionRequests | specialVisionRequest

## Detailed Description

Represents a request for special visons (challenges ...).

Definition at line 19 of file SpecialVisionRequest.h.

## Member Enumeration Documentation

enum SpecialVisionRequest::SpecialVisionRequests

  | Enumeration values:
  none |
  barCode |
  autoShutter |
  challengeLearnOrientation |
  challengeFindOrientation |
  challengeGetOrientation |
  numOfSpecialVisionRequests |
  imageBrightness |
Definition at line 29 of file SpecialVisionRequest.h.

## Constructor & Destructor Documentation

SpecialVisionRequest::SpecialVisionRequest | ( |  | ) |

| constructor Definition at line 12 of file SpecialVisionRequest.cpp.

SpecialVisionRequest::~SpecialVisionRequest | ( |  | ) |

| destructor Definition at line 18 of file SpecialVisionRequest.cpp.

## Member Function Documentation

char* SpecialVisionRequest::getSpecialVisionRequestName | ( | SpecialVisionRequests | specialVisionRequest | ) | `[inline, static]`

| Returns the name of a SpecialVisionRequest. Definition at line 44 of file SpecialVisionRequest.h. References challengeFindOrientation, challengeGetOrientation, and challengeLearnOrientation.

## Member Data Documentation

SpecialVisionRequests SpecialVisionRequest::specialVisionRequest

| Definition at line 41 of file SpecialVisionRequest.h. Referenced by DefaultSpecialVision::execute(), ChallengeSpecialVision::execute(), GT2005BehaviorControl::postExecute(), and SpecialVisionSymbols::registerSymbols().

The documentation for this class was generated from the following files:

- Representations/Perception/SpecialVisionRequest.h
- Representations/Perception/SpecialVisionRequest.cpp